.testimonial-item {
	margin-bottom: 15px;
	border: 1px solid var(--brdcolor-gray-300);
	border-radius: var(--wd-brd-radius);
	background-color: #fff;
	padding: 15px;
}

@media (min-width: 768px) {
	.testimonial-item {
		padding: 20px;
	}
}

.testimonial-item:last-child {
	margin-bottom: 0;
}

.testimonial-top {
	display: flex;
	flex-wrap: wrap;
    gap: 10px;
	justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
}

.testimonial-top-inner {
	display: flex;
    gap: 10px;
    align-items: center;
}

.testimonial-rating {
	display: flex;
	gap: 8px;
}

.testimonial-rating-number {
	font-size: 15px;
	border: 1px solid var(--brdcolor-gray-300);
    border-radius: 4px;
    min-width: 38px;
    text-align: center;
    padding: 1px 2px;
	margin-top: 2px;
	line-height: 1;
    display: grid;
    place-items: center;
}

.testimonial-rating-items {
	display: inline-block;
	position: relative;
    font-size: 20px;
    letter-spacing: 2px;
	font-family: "woodmart-font";
	color: var(--color-gray-300);
}

.testimonial-rating-items::before {
	content: "\f148" "\f148" "\f148" "\f148" "\f148";
    white-space: nowrap;
}

.testimonial-rating-items span {
	position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    overflow: hidden;
    color: #ffc107;
}

.testimonial-rating-items span::before {
	content: "\f148" "\f148" "\f148" "\f148" "\f148";
    overflow: hidden;
    white-space: nowrap;
}

.testimonial-author {
	font-size: 20px;
	color: var(--wd-title-color);
}

@media (min-width: 768px) {
	.testimonial-author {
		font-size: 22px;
	}
}

.testimonial-url {
	margin-bottom: 8px;
    display: inline-block;
    font-size: 13px;
    text-decoration: underline;
	color: var(--wd-primary-color);
}

.testimonial-meta {
	display: flex;
    align-items: center;
    gap: 20px;
	margin-bottom: 10px;
}

.testimonial-city {
	color: var(--color-gray-400);
	font-size: 14px;
	margin-top: 2px;
}

.testimonial-date {
	color: var(--color-gray-400);
	font-size: 14px;
}

.testimonial-content p {
	margin-bottom: 0;
}

.testimonial-advantage,
.testimonial-disadvantage{
	margin-top: 12px;
}

.testimonial-advantage-title,
.testimonial-disadvantage-title {
	color: var(--wd-title-color);
	font-weight: 600;
}

.testimonial-advantage-content,
.testimonial-disadvantage-content {
	color: var(--wd-entities-title-color);
}

.testimonial-comment {
	color: var(--wd-entities-title-color);
}

.testimonials-filter {
	margin-bottom: 10px;
    padding-bottom: 5px;
	overflow-x: auto;
    display: flex;
    gap: 10px;
    flex-wrap: nowrap;
    white-space: nowrap;
    -webkit-mask-image: linear-gradient(to left, transparent 5px, #000 40px);
    mask-image: linear-gradient(to left, transparent 5px, #000 40px);
}

.testimonials-filter .filter-button {
	border-radius: var(--wd-brd-radius);
	background-color: var(--e-global-color-15da299);
	color: var(--wd-text-color);
	border: 2px solid var(--brdcolor-gray-300);
}

.testimonials-filter .filter-button:hover {
	background-color: var(--wd-primary-color);
	border-color: var(--wd-primary-color);
	color: #fff;
}

.testimonials-filter .filter-button.active {
	background-color: var(--wd-primary-color);
	color: #fff;
	border-color: transparent;
}

.testimonials-filter .filter-button.active:hover {
	opacity: 0.8;
}

.load-more-testimonials-wrapper {
	margin-top: 30px;	
}

.load-more-testimonials {
	display: inline-block;
	border: 2px solid var(--wd-primary-color);
	color: var(--wd-primary-color);
	font-weight: 600;
	font-size: 13px;
	text-transform: uppercase;
	padding: 8px 20px;
}

.load-more-testimonials:hover {
	background-color: var(--wd-primary-color);
	color: #fff;
}

.load-more-testimonials.disabled {
	opacity: 0.7;
	pointer-events: none;
}

.testimonial-images {
	display: flex;
    gap: 10px;
    margin-top: 20px;
	overflow-x: auto;
	-webkit-mask-image: linear-gradient(to left, transparent 5px, #000 40px);
    mask-image: linear-gradient(to left, transparent 5px, #000 40px);
}

.testimonial-images img {
	width: 90px;
	min-width: 90px;
	height: 90px;
	object-fit: cover;
	border-radius: var(--wd-brd-radius);
}